%global appid eu.scarpetta.PDFMixTool

Name:           pdfmixtool
Version:        1.2.1
Release:        %mkrel 1
Summary:        Application to split, merge, rotate and mix PDF files
Group:          Publishing
License:        GPL-3.0-or-later
URL:            https://scarpetta.eu/pdfmixtool
Source0:        https://gitlab.com/scarpetta/pdfmixtool/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(poppler-qt6)
BuildRequires:  pkgconfig(Magick++)
BuildRequires:  pkgconfig(libqpdf)

Requires:       qt6-qtsvg

%description
PDF Mix Tool is a simple and lightweight application that allows
you to perform common editing operations on PDF files.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_qt6 -DQT_VERSION=6
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md CHANGELOG.md AUTHORS.md TRANSLATORS.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_metainfodir}/%{appid}.appdata.xml


%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2255139
- new version: 1.2.1

* Sat Jul 05 2025 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2246965
- new version: 1.2.0

* Sat Jun 28 2025 umeabot <umeabot> 1.1.1-2.mga10
+ Revision: 2219814
- Mageia 10 Mass Rebuild

* Wed Oct 25 2023 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2001085
- initial package pdfmixtool

